<?php
header("Content-Type: text/html; charset=utf8");
ViewResponse::getInstance()->setMethodAjax();

switch ($type){
	case 'getRepresentantesAll':
  		
		$con = Conexion::getConexion();
		
	    $sql = "SELECT IdAdministrador
	    		FROM cr_sucursal
	    		WHERE IdSucursal='".$value."';";
	    //echo $sql;
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
	    if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $IdAdministrador = $o_ClienteBean->IdAdministrador;
		    }
		 }
	    
		
	    $sql = "SELECT co.idColaborador,concat(co.ApellidoPaterno,' ', ApellidoMaterno,', ',Nombres) as Nombres 
	    		FROM  cr_colaborador co
	    		WHERE (IdPadre='".$IdAdministrador."' or Idcolaborador = '".$IdAdministrador."') and eliminado='0' 
	    		order by co.IdRol, 1 ;";
	    //echo $sql;
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $a_ValuesElm[] = $o_ClienteBean->idColaborador."_;_".$o_ClienteBean->Nombres;
			    $i++;
		    }
		  }
		  
		 $a_Resultado     = array();
	      foreach ($a_ValuesElm as $key => $value){
	          $valueElm = $value;
	          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	      }
	      
	       $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);
		break;
	case "validateCE":
  		if(strlen($value) > 8 && strlen($value) <= 10)
		{
			$o_ClienteBeanT = new ClienteBean();
			$o_ClienteBeanT->setDni($value);
			$o_ClienteBeanT->setNotIdCliente($idcliente);
			$o_ClienteBeanDPT = new ClienteDP($o_ClienteBeanT);
			$a_o_ClienteBeanDPT = $o_ClienteBeanDPT->select();
			if(is_array($a_o_ClienteBeanDPT)){
			  	foreach ($a_o_ClienteBeanDPT as $key =>$o_ClienteBeanDPT){
			  		//$mensaje = "El Dni ya esta registrado y tiene el cliente con DNI:".$value."  y Id: ".$o_ClienteBeanDPT->getIdCliente()." - ".$o_ClienteBeanDPT->getNombres()." ".$o_ClienteBeanDPT->getApellidoPaterno()." ".$o_ClienteBeanDPT->getApellidoMaterno()."";
			  		$mensaje = "El Dni ya esta registrado, Nombre: ".$o_ClienteBeanDPT->getNombres()." ".$o_ClienteBeanDPT->getApellidoPaterno()." ".$o_ClienteBeanDPT->getApellidoMaterno()."";
			  		$ok='1';
			  	}
				echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';
			 }else{
			 	$ok='2';
				echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'"}';	
			 }
		}else{
			$mensaje = "El numero de documento debe ser mayor igual a 9 caracteres y menor igual a 10 caracteres";
			$ok='1';
			echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';	
		}
  		break;
  case "validateDni":
		if(strlen($value) == 8)
		{
			$o_ClienteBeanT = new ClienteBean();
			$o_ClienteBeanT->setDni($value);
			$o_ClienteBeanT->setNotIdCliente($idcliente);
			$o_ClienteBeanDPT = new ClienteDP($o_ClienteBeanT);
			$a_o_ClienteBeanDPT = $o_ClienteBeanDPT->select();
		  
		  if(is_array($a_o_ClienteBeanDPT)){
		  	foreach ($a_o_ClienteBeanDPT as $key =>$o_ClienteBeanDPT){
		  		//$mensaje = "El Dni ya esta registrado y tiene el cliente con DNI:".$value."  y Id: ".$o_ClienteBeanDPT->getIdCliente()." - ".$o_ClienteBeanDPT->getNombres()." ".$o_ClienteBeanDPT->getApellidoPaterno()." ".$o_ClienteBeanDPT->getApellidoMaterno()."";
		  		$mensaje = "El Dni ya esta registrado, Nombre: ".$o_ClienteBeanDPT->getNombres()." ".$o_ClienteBeanDPT->getApellidoPaterno()." ".$o_ClienteBeanDPT->getApellidoMaterno()."";
		  		$ok='1';
		  	}
			echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';
		  }else{
			$mensaje = "";
				
				function curl_get_contents($url)
				{
				  $ch = curl_init($url);
				  curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
				  curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
				  curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
				  curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
				  $data = curl_exec($ch);
				  curl_close($ch);
				  return $data;
				}
				//$url = "https://dniruc.apisperu.com/api/v1/dni/".$value."?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6InNvdG9tYXlvcnN0ZXJAZ21haWwuY29tIn0.fYZBnuGA5LO8gH4umbJoYjwgw4PgYQ09B6ARTO3Cq9E";
				$url = "https://dniruc.apisperu.com/api/v1/dni/".$value."?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6Im1hc2NydXoxM0Bob3RtYWlsLmNvbSJ9.mNDdXUeDsTq7zlvdmkFUInQcXlC3qPTbEJIo4kfYi-w";
				$result = curl_get_contents($url);
				
				$obj = json_decode($result);
				$success = $obj->{'success'};
				if(!$result){
					if($success === false){
						
						
						// ---------------- MIGO---------------------------------
						$dni= $value;
						$token= "UbN1xQu124TQSnwd0FkKm00tzkz6nnbFPhMoXa29hudmzQLR1eEChd7h3p2t";
										
						$_POST['datos']['dni'] = $value;
						$_POST['datos']['token'] = $token;
						$data_string = json_encode($_POST);
						$ch = curl_init('http://actelenet.com/ws.php');
						curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
						curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
						curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
						curl_setopt($ch, CURLOPT_HTTPHEADER, array(
								'Content-Type: application/json',
								'Content-Length: ' . strlen($data_string))
						);
						curl_setopt($ch, CURLOPT_TIMEOUT, 900);
						curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 500);
						//$result = "";
						$result = curl_exec($ch);
						curl_close($ch);
						$obj = json_decode(mb_convert_encoding($result, "UTF-8"));
						$success = $obj->{'success'};
						
						if($success === true){
							if($obj->{'apellido_materno'}) $s_apellido_materno     =  $obj->{'apellido_materno'};
							if($obj->{'apellido_paterno'}) $s_apellido_paterno     =  $obj->{'apellido_paterno'};
							if($obj->{'nombres'}) $s_nombres     =  $obj->{'nombres'};
							$mensaje = "Se encontro";
							$ok='2';
							echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'"}';
						}else{
							$ok='1';
							$mensaje = "No es valido este dni en la reniec";
							echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'"}';
						}
					}
				}else{
					if($success === false){
						// ---------------- MIGO---------------------------------
						$dni= $value;
						$token= "UbN1xQu124TQSnwd0FkKm00tzkz6nnbFPhMoXa29hudmzQLR1eEChd7h3p2t";
										
						$_POST['datos']['dni'] = $value;
						$_POST['datos']['token'] = $token;
						$data_string = json_encode($_POST);
						$ch = curl_init('http://actelenet.com/ws.php');
						curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
						curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
						curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
						curl_setopt($ch, CURLOPT_HTTPHEADER, array(
								'Content-Type: application/json',
								'Content-Length: ' . strlen($data_string))
						);
						curl_setopt($ch, CURLOPT_TIMEOUT, 900);
						curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 500);
						//$result = "";
						$result = curl_exec($ch);
						curl_close($ch);
						$obj = json_decode(mb_convert_encoding($result, "UTF-8"));
						$success = $obj->{'success'};
						
						if($success === true){
							if($obj->{'apellido_materno'}) $s_apellido_materno     =  $obj->{'apellido_materno'};
							if($obj->{'apellido_paterno'}) $s_apellido_paterno     =  $obj->{'apellido_paterno'};
							if($obj->{'nombres'}) $s_nombres     =  $obj->{'nombres'};
							$mensaje = "Se encontro";
							$ok='2';
							echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'"}';
						}else{
							$ok='1';
							$mensaje = "No es valido este dni en la reniec";
							echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'"}';
						}

					}else{
						$b_success 				=  $obj->{'success'};
						$s_nombres              =  $obj->{'nombres'};
						if($obj->{'apellidoMaterno'}) $s_apellido_materno     =  $obj->{'apellidoMaterno'};
						if($obj->{'apellidoPaterno'}) $s_apellido_paterno     =  $obj->{'apellidoPaterno'};
						if($obj->{'nombres'}) $s_nombres     =  $obj->{'nombres'};
						$mensaje = "Se encontro";
						$ok='2';
						echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'"}';
					}
				}
		  }			
		  	
			
		}else{
				$mensaje = "Este dni es menor a 8 caracteres";
				$ok='1';
				echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';	
		}	
	  		
  		//echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';
  		break;
	case 'getRepresentantexSucursal':
		$con = Conexion::getConexion();
		$IdSucursal = $value;
	
		//Buscar el padre
		
		$sql = "SELECT idadministrador
				FROM cr_sucursal
	    		WHERE IdSucursal='".$IdSucursal."';";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $idadministrador = $o_ClienteBean->idadministrador;
		    }
		  }
		  		
		if(!$idadministrador) $idadministrador = 9999;
	    $sql = "SELECT co.idColaborador,concat(co.ApellidoPaterno,' ', ApellidoMaterno,', ',Nombres) as Nombres 
	    		FROM cr_colaborador co 
	    		WHERE IdPadre='".$idadministrador."'
	    		AND eliminado = '0';";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $a_ValuesElm[] = $o_ClienteBean->idColaborador."_;_".$o_ClienteBean->Nombres;
			    $i++;
		    }
		  }
		  
		 $a_Resultado     = array();
	      foreach ($a_ValuesElm as $key => $value){
	          $valueElm = $value;
	          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	      }
	      
	       $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);
		break;
  case 'getRepresentantes':
		$con = Conexion::getConexion();
	    $sql = "SELECT co.idColaborador,concat(co.ApellidoPaterno,' ', ApellidoMaterno,', ',Nombres) as Nombres FROM cr_mercado_representante  mere
	    		left join cr_colaborador co on co.IdColaborador = mere.IdColaborador
	    		WHERE IdMercado='".$value."';";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $a_ValuesElm[] = $o_ClienteBean->idColaborador."_;_".$o_ClienteBean->Nombres;
			    $i++;
		    }
		  }
		  
		 $a_Resultado     = array();
	      foreach ($a_ValuesElm as $key => $value){
	          $valueElm = $value;
	          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	      }
	      
	       $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);
		break;
  case 'nameDoc':

    $o_ObjectBean = new DocenteBean();
    if($value!=""){ 
      $o_ObjectBean->setCodigoDocente($value);
      
      $o_class = new DocenteBL();
      $a_ObjectDocenteBean = $o_class->busquedaDocente($o_ObjectBean);

      if(is_array($a_ObjectDocenteBean) && count($a_ObjectDocenteBean) > 0){
        $tmp = array($nombreElm=>$a_ObjectDocenteBean[0]->getNombre());
      }else{
        $tmp = array($nombreElm=>"<b><font color=red>No se encontro el registro</font></b>");
      }
      
      $scadena = utilJson::generateJsonElment($tmp);
      ////echo "<pre>";
      //print_r($scadena);
      //echo "<pre>";
    }
       
    header("X-JSON: ".$scadena);
  break;
  case 'NombreColaborador':

    $o_ObjectBean = new ColaboradorBean();
    if($value!=""){ 
      $o_ObjectBean->setIdColaborador($value);
      
      $o_class = new ColaboradorBL();
      $a_ObjectColaboradorBean = $o_class->busquedaColaborador($o_ObjectBean);

      if(is_array($a_ObjectColaboradorBean) && count($a_ObjectColaboradorBean) > 0){
        $tmp = array($nombreElm=>$a_ObjectColaboradorBean[0]->getNombreCompleto());
      }else{
        $tmp = array($nombreElm=>"<b><font color=red>No se encontro el registro</font></b>");
      }
      
      $scadena = utilJson::generateJsonElment($tmp);
      ////echo "<pre>";
      //print_r($scadena);
      //echo "<pre>";
    }
       
    header("X-JSON: ".$scadena);
  break;
  
  case 'NombreMercado':

    $o_ObjectBean = new MercadoBean();
    if($value!=""){ 
      $o_ObjectBean->setIdMercado($value);
      
      $o_class = new MercadoBL();
      $a_ObjectMercadoBean = $o_class->busquedaMercado($o_ObjectBean);

      if(is_array($a_ObjectMercadoBean) && count($a_ObjectMercadoBean) > 0){
        $tmp = array($nombreElm=>$a_ObjectMercadoBean[0]->getDescripcion());
      }else{
        $tmp = array($nombreElm=>"<b><font color=red>No se encontro el registro</font></b>");
      }
      
      $scadena = utilJson::generateJsonElment($tmp);
      ////echo "<pre>";
      //print_r($scadena);
      //echo "<pre>";
    }
       
    header("X-JSON: ".$scadena);
  break;
  
    case 'getRepresentante':

    $o_ObjectBean = new MercadoRepresentanteBean();
    if($value!=""){ 
      $value = (int)$value;
      $o_ObjectBean->setIdMercado($value);
      
      $o_class = new MercadoRepresentanteBL();
      $a_ObjectMercadoRepresentanteBean = $o_class->busquedaMercadoRepresentanteDetalle($o_ObjectBean);
		
      
      if(array($a_ObjectMercadoRepresentanteBean) && count($a_ObjectMercadoRepresentanteBean)>0){
        foreach ($a_ObjectMercadoRepresentanteBean as $key => $ObjectMercadoRepresentanteBean){
        	$a_IdColaborador[] = $ObjectMercadoRepresentanteBean->getIdColaborador();
        }
      }else{
      	$a_IdColaborador[0] = null ;
      }
      
      $o_Colaborador = new ColaboradorBean();
      $o_Colaborador->setIdColaboradores($a_IdColaborador);
      
      $o_ColaboradorBL = new ColaboradorBL();
      $a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_Colaborador);
      foreach ($a_o_Colaborador as $iKey => $o_Colaborador){
          $a_ValuesElm[] = $o_Colaborador->getIdColaborador()."_;_".$o_Colaborador->getNombreCompleto();
      }
      
      $a_Resultado     = array();
      foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
      }
        
      $salida = "[".implode(",",$a_Resultado).']';
    
      header("X-JSON: ".$salida);
    }
       
    
  break;
  
  case 'getRepresentanteUser':

    $o_ObjectBean = new MercadoRepresentanteBean();
    if($value!=""){ 
      $value = (int)$value;
      $o_ObjectBean->setIdMercado($value);
      
      $o_class = new MercadoRepresentanteBL();
      $a_ObjectMercadoRepresentanteBean = $o_class->busquedaMercadoRepresentanteDetalle($o_ObjectBean);
		
      
      if(array($a_ObjectMercadoRepresentanteBean) && count($a_ObjectMercadoRepresentanteBean)>0){
        foreach ($a_ObjectMercadoRepresentanteBean as $key => $ObjectMercadoRepresentanteBean){
        	$a_IdColaborador[] = $ObjectMercadoRepresentanteBean->getIdColaborador();
        }
      }else{
      	$a_IdColaborador[0] = null ;
      }
      
      $o_Colaborador = new ColaboradorBean();
      $o_Colaborador->setIdColaboradores($a_IdColaborador);
      
      $o_ColaboradorBL = new ColaboradorBL();
      $a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_Colaborador);
      foreach ($a_o_Colaborador as $iKey => $o_Colaborador){
          $a_ValuesElm[] = $o_Colaborador->getUsuario()."_;_".$o_Colaborador->getNombreCompleto();
      }
      
      $a_Resultado     = array();
      foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
      }
        
      $salida = "[".implode(",",$a_Resultado).']';
    
      header("X-JSON: ".$salida);
    }
       
    
  break;
  
  case 'getMercado':
	//echo "------";
    $o_ObjectBean = new SucursalMercadoBean();
    if($value!=""){ 
      $value = (int)$value;
      $o_ObjectBean->setIdSucursal($value);
	  
	  $o_SucursalMercadoDP = new SucursalMercadoDP($o_ObjectBean); 
	  $a_ObjectSucursalMercadoBean = $o_SucursalMercadoDP->select(); 
	  
      
      //print_r($a_ObjectSucursalMercadoBean);
	  
      if(array($a_ObjectSucursalMercadoBean)){
        foreach ($a_ObjectSucursalMercadoBean as $key => $ObjectSucursalMercadoBean){
        	$a_IdMercados[] = $ObjectSucursalMercadoBean->getIdMercado();
        }
      }
      
      $o_Mercado = new MercadoBean();
      if(count($a_IdMercados) == '0') $a_IdMercados['X'] = 'X'; 
      $o_Mercado->setIdMercados($a_IdMercados);
      
      $o_MercadoBL = new MercadoBL();
      $a_o_mercado = $o_MercadoBL->busquedaMercado($o_Mercado);
      foreach ($a_o_mercado as $iKey => $o_mercado){
          $a_ValuesElm[] = $o_mercado->getIdMercado()."_;_".$o_mercado->getDescripcion();
      }
      
      $a_Resultado     = array();
      foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
      }
        
      $salida = "[".implode(",",$a_Resultado).']';
    
      header("X-JSON: ".$salida);
    }
       
    
  break;
  
  
 
  case 'getEspecialidad':
    
      if(!$value) $value = "99999999";
      $o_especialidadBean = new EspecialidadBean();
      $o_especialidadBean->setFacultadId($value);
  
      $o_class = new EspecialidadBL();
      $a_ObjectBean = $o_class->getEspecialidad($o_especialidadBean);

      if(is_array($a_ObjectBean) && count($a_ObjectBean) > 0){
        foreach ($a_ObjectBean as $iKey => $oValue){
          $a_ValuesElm[] = $oValue->getEspecialidadId()."_;_".$oValue->getEspecialidadDescripcion();
        }
        
        $a_Resultado     = array();
        foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
        }
        
      }else{
        $a_Resultado = array($nombreElm=>"");
      }
      
      
      $salida = "[".implode(",",$a_Resultado).']';
     /* echo "<pre>";
      print_r($salida);
      echo "<pre>";*/
      header("X-JSON: ".$salida);
    break;
  
}

?>